Docs › API reference › Identity verification
Download primary face image
Downloads the primary face image (the headshot) extracted from the document. The response content type is image/jpeg. Use it as the second image in a face match.
GET
https://api.screenlyyid.com/api/v1/data/{sessionId}/images/primary_faceHeaders#
| Name | Type | Required | Description |
|---|---|---|---|
x-api-key | string | Yes | Your ScreenlyyID API key |
x-correlation-id | string (uuid) | Yes | Correlation ID for this customer check |
Path parameters#
| Name | Type | Required | Description |
|---|---|---|---|
sessionId | string | Yes |
Responses#
| Status | Description |
|---|---|
200 | Successful response |
Code samples#
curl --request GET \
--url 'https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/images/primary_face' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-correlation-id: YOUR_CORRELATION_ID'const response = await fetch(
"https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/images/primary_face",
{
"method": "GET",
"headers": {
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
}
}
);
const result = await response.json();import requests
response = requests.get(
'https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/images/primary_face',
headers={
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
}
)
result = response.json()using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("x-correlation-id", "YOUR_CORRELATION_ID");
var response = await client.GetAsync("https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/images/primary_face");
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();